<?php

$start_date_val = strtotime( '-1 month' );
$end_date_val   = strtotime( 'now' );
$start_date     = date( 'Y-m-d', $start_date_val );
$end_date       = date( 'Y-m-d', $end_date_val );


if ( isset( $_POST['view_data'] ) ) {

	$s_date   = $_POST['st_date'];
	$ed_date  = $_POST['ed_date'];
}

if ( isset( $s_date ) ) {
  $start_date = $s_date ;
}

if ( isset( $ed_date ) ) {
  $end_date = $ed_date;
}


$wp_analytify = $GLOBALS['WP_ANALYTIFY'];
$dashboard_profile_ID = $wp_analytify->settings->get_option( 'profile_for_dashboard','wp-analytify-profile' );



if( WP_ANALYTIFY_FUNCTIONS::wpa_check_profile_selection('Campaigns') ) return;


/*
* Check with roles assigned at dashboard settings.
*/
$is_access_level = $wp_analytify->settings->get_option( 'show_analytics_roles_dashboard','wp-analytify-dashboard' );
//var_dump($is_access_level);
// Show dashboard to admin incase of empty access roles.
if ( empty( $is_access_level ) ) { $is_access_level = array( 'Administrator' ); }

if ( ! $wp_analytify->pa_check_roles( $is_access_level ) ){
	esc_html_e( 'You don\'t have access to Analytify Campaing Dashboard.', 'wp-analytify-campaings' );
	return;
}


$acces_token  = get_option( "post_analytics_token" );
if( $acces_token ) {

	?>


	<div class="analytify_main_setting_bar">
		<h2 class="analytify_pull_left analytify_t_pad">

			<span class="analytify_stats_of"><?php analytify_e( 'Campaigns Statistics of the Site', 'wp-analytify' ); ?> <a href="<?php echo WP_ANALYTIFY_FUNCTIONS::search_profile_info( $dashboard_profile_ID, 'websiteUrl' ) ?>" target="_blank"><?php echo WP_ANALYTIFY_FUNCTIONS::search_profile_info( $dashboard_profile_ID, 'websiteUrl' ) ?></a></span>
		</h2>
		<div class="analytify_pull_right analytify_setting">
			<div class="analytify_select_date">
				<form class="analytify_form_date" action="" method="post">
					<div class="analytify_select_date_fields">
						<input type="hidden" name="st_date" id="analytify_start_val">
						<input type="hidden" name="ed_date" id="analytify_end_val">

						<label for="analytify_start"><?php analytify_e( 'From:', 'wp-analytify' ) ?></label>
						<input type="text" id="analytify_start" value="<?php echo isset( $s_date ) ? $s_date :
							'' ?>">
						<label for="analytify_end"><?php analytify_e( 'To:', 'wp-analytify' ) ?></label>
						<input type="text" id="analytify_end" value="<?php echo isset( $ed_date ) ? $ed_date :
							'' ?>">
							<div class="analytify_arrow_date_picker"></div>
					</div>
					<input type="submit" value="View Stats" name="view_data" class="analytify_submit_date_btn">
					<?php echo WPANALYTIFY_Utils::get_date_list() ?>
				</form>
			</div>
		</div>
	</div>
	<div class="analytify_general_status analytify_status_box_wraper">
		<div class="analytify_status_header">
			<h3><?php esc_html_e( 'Campaigns Statistics', 'wp-analytify'); ?></h3>
		</div>
		<div class="analytify_status_body stats_loading">

			<div id="wrapper_campaign">

			</div>
		</div>
		<div class="analytify_status_footer">
			<span class="analytify_info_stats"><?php printf( __( 'You are running %1$s Campaigns in total.', 'wp-analytify' ), '<span class="compaing-counter"> </span>' ) ; ?></span>
		</div>
</div>




		<script type="text/javascript">

		jQuery(document).ready(function ($) {

			load_campaigns_ajax();


		$(".analytify_form_date").on('submit', function(event) {
			event.preventDefault();
			load_campaigns_ajax();
		});



			function load_campaigns_ajax(){


				start_date = moment($("#analytify_start").val(),'MMM DD, YYYY').format("YYYY-MM-DD");
				end_date   = moment($("#analytify_end").val(),'MMM DD, YYYY').format("YYYY-MM-DD");

				$.ajax({

					type: 'POST',
					url: ajaxurl,
					data: 'action=analytify_load_campaigns&start_date=' + start_date + "&end_date=" + end_date,
					beforeSend: function() {
						$('#wrapper_campaign').html('');
						$('#wrapper_campaign').parent().addClass("stats_loading");
					},
					success: function ( data ) {
						try {
							var data_array = $.parseJSON(data);
							$('#wrapper_campaign').html( data_array.body );
							$('#wrapper_campaign').parent().removeClass("stats_loading");
							$('.compaing-counter').html( data_array.message );
						} catch (e) {
							$('#wrapper_campaign').parent().removeClass("stats_loading").html(data);
						}
						// Tooltip
						$( '.analytify-campaings-tooltip' ).tooltip({
							content: function () {
								return $(this).prop('title');
							},
							show: null,
							close: function (event, ui) {
								ui.tooltip.hover(
									function () {
										$(this).stop(true).fadeTo(400, 1);
									},
									function () {
										$(this).fadeOut("400", function () {
											$(this).remove();
										});
									});
								},
								position: {
									my: 'left center',
									at: 'right+25 center',
									track: false,
									using: function( position, feedback ) {
										jQuery( this ).css( position );
										jQuery( "<div>" )
										.addClass( "arrow-tooltip" )
										.addClass( feedback.vertical )
										.addClass( feedback.horizontal )
										.appendTo( this );
									}
								}
							});
					}
				});
			}


		});

		</script>

		<?php
	}
	else{
		esc_html_e( 'You must be authenticate to see the Analytics Campaigns Dashboard.', 'wp-analytify' );
	}

	?>
