<?php
/**
 * Plugin Name: Analytify for Campaigns
 * Plugin URI: https://analytify.io/
 * Description: Everyone runs campaigns through social media or create backlinks. This add-on helps you to show your campaigns stats in a beautiful dashboard.
 * Version: 1.1.1
 * Author: Adnan
 * Author URI: http://adnan.pk/
 * License: GPLv2+
 * Min WP Version: 3.0
 * Max WP Version: 4.9
 * Text Domain: wp-analytify-campaings
 * Domain Path: /languages
 *
 * @package  WP Analytify Campaings Addons
 */

if ( ! defined( 'ABSPATH' ) ) { exit; }

define( 'ANALTYIFY_CAMPAIGNS_VERSION', '1.1.1' );
define( 'ANALYTIFY_PRO_CAMPAINGS_ROOT_PATH', dirname( __FILE__ ) );
define( 'ANALYTIFY_CAMPAIGNS_UPGRADE_PATH', __FILE__ );

add_action( 'plugins_loaded', 'load_analytify_campaings', 20 );

function load_analytify_campaings() {

	if ( ! file_exists( WP_PLUGIN_DIR . '/wp-analytify-pro/wp-analytify-pro.php' ) ) {
			add_action( 'admin_notices' , 'install_analytify_pro_campaings' );
			return;
	}
	if ( ! class_exists( 'WP_Analytify_Pro_Base' ) ) {
		add_action( 'admin_notices' ,  'active_analytify_pro_campaings' );
		return;
	}

	include_once ANALYTIFY_PRO_CAMPAINGS_ROOT_PATH . '/class-campaings.php';

}

function install_analytify_pro_campaings() {
	$class = 'notice notice-error is-dismissible';
	$message = __( 'oops! Please Install Analytify Pro.' , 'wp-analytify-campaings' );

	printf( '<div class="%1$s"><p>%2$s</p></div>', $class, $message );
}

function active_analytify_pro_campaings() {
	$class = 'notice notice-error is-dismissible';
	$message = __( 'oops! Please active Analytify Pro.' , 'wp-analytify-campaings' );

	printf( '<div class="%1$s"><p>%2$s</p></div>', $class, $message );
}


/**
 * Load TextDoamin
 *
 * @since 1.0.2
 */
function wp_analytify_campaings_load_text_domain(){
	$plugin_dir = basename( dirname( __FILE__ ) );
	load_plugin_textdomain( 'wp-analytify-campaings', false , $plugin_dir . '/languages/' );
}
add_action( 'init', 'wp_analytify_campaings_load_text_domain' );


/**
 * Helper function for translation.
 */
if ( ! function_exists( 'analytify__' ) ) {
	/**
	 * Wrapper for __() gettext function.
	 * @param  string $string     Translatable text string
	 * @param  string $textdomain Text domain, default: wp-analytify
	 * @return void
	 */
	function analytify__( $string, $textdomain = 'wp-analytify' ) {
		return __( $string, $textdomain );
	}
}

if ( ! function_exists( 'analytify_e' ) ) {
	/**
	 * Wrapper for _e() gettext function.
	 * @param  string $string     Translatable text string
	 * @param  string $textdomain Text domain, default: wp-analytify
	 * @return void
	 */
	function analytify_e( $string, $textdomain = 'wp-analytify' ) {
		echo __( $string, $textdomain );
	}
}
