<?php

// global $wpa_edd_currency_symbol;

$WP_Analytify   = $GLOBALS['WP_ANALYTIFY'];

$start_date_val = strtotime( "- 30 days" );
$end_date_val   = strtotime( "now" );
$start_date     = date( "Y-m-d", $start_date_val );
$end_date       = date( "Y-m-d", $end_date_val );


if( isset( $_POST[ "view_data" ] ) ) {
	$s_date  = sanitize_text_field( wp_unslash( $_POST['st_date'] ) );
	$ed_date = sanitize_text_field( wp_unslash( $_POST['ed_date'] ) );
}

if( isset( $s_date ) ) {
	$start_date = $s_date;
}

if( isset( $ed_date ) ) {
	$end_date = $ed_date;
}

// Fetch Dashboard Profile ID.
$dashboard_profile_ID = $WP_Analytify->settings->get_option( 'profile_for_dashboard','wp-analytify-profile' );

?>

<div class="analytify_wraper">


		<div class="analytify_main_title_section">
			<h1 class="analytify_pull_left analytify_main_title"><?php esc_html_e( 'EDD Dashboard', 'wp-analytify-edd' ); ?></h1>
			<div class="analytify_select_dashboard analytify_pull_right">

				<?php do_action( 'analytify_dashboad_dropdown' ); ?>

			</div>
		</div>

	<?php

	if( WP_ANALYTIFY_FUNCTIONS::wpa_check_profile_selection('EDD') ) return;

	/**
	 * Check with roles assigned at dashboard settings.
	 */
	$is_access_level = $WP_Analytify->settings->get_option( 'show_analytics_roles_dashboard','wp-analytify-dashboard', array() );

	if( $WP_Analytify->pa_check_roles( $is_access_level ) ) {

		$acces_token  = get_option( "post_analytics_token" );

		if( $acces_token ) {

		?>
					<div class="analytify_main_setting_bar">
						<h2 class="analytify_pull_left analytify_t_pad">

							<span class="analytify_stats_of"><?php esc_html_e( 'Complete Statistics of the Site', 'wp-analytify-edd' ); ?> <a href="<?php echo WP_ANALYTIFY_FUNCTIONS::search_profile_info( $dashboard_profile_ID, 'websiteUrl' ) ?>" target="_blank"><?php echo WP_ANALYTIFY_FUNCTIONS::search_profile_info( $dashboard_profile_ID, 'websiteUrl' ) ?></a></span>
						</h2>
						<div class="analytify_pull_right analytify_setting">
							<div class="analytify_select_date">
								<form class="analytify_form_date" action="" method="post">
									<div class="analytify_select_date_fields">
										<input type="hidden" name="st_date" id="analytify_start_val">
										<input type="hidden" name="ed_date" id="analytify_end_val">

										<label for="analytify_start">From:</label>
										<input type="text" id="analytify_start" value="<?php echo isset( $s_date ) ? $s_date :
											'' ?>">
											<label for="analytify_end">To:</label>
											<input type="text" id="analytify_end" value="<?php echo isset( $ed_date ) ? $ed_date :
												'' ?>">
												<div class="analytify_arrow_date_picker"></div>
											</div>
											<input type="submit" value="View Stats" name="view_data" class="analytify_submit_date_btn">
											<ul class="analytify_select_date_list">
												<li><?php analytify_e( 'Last 30 days', 'wp-analytify' )?> <span data-start="" data-end=""><span class="analytify_start_date_data analytify_last_30_day"></span> – <span class="analytify_end_date_data analytify_today_date"></span></span></li>

												<li><?php analytify_e( 'This month', 'wp-analytify' )?> <span data-start="" data-end=""><span class="analytify_start_date_data analytify_this_month_start_date"></span> – <span class="analytify_end_date_data analytify_today_date"></span></li>

												<li><?php analytify_e( 'Last month', 'wp-analytify' )?> <span data-start="" data-end=""><span class="analytify_start_date_data analytify_last_month_start_date"></span> – <span class="analytify_end_date_data analytify_last_month_end_date"></span></span></li>


												<li><?php analytify_e( 'Last 3 months', 'wp-analytify' )?> <span data-start="" data-end=""><span class="analytify_start_date_data analytify_last_3_months_start_date"></span> – <span class="analytify_end_date_data analytify_last_month_end_date"></span></span></li>

												<li><?php analytify_e( 'Last 6 months', 'wp-analytify' )?><span data-start="" data-end=""><span class="analytify_start_date_data analytify_last_6_months_start_date"></span> – <span class="analytify_end_date_data analytify_last_month_end_date"></span></span></li>


												<li><?php analytify_e( 'Last year', 'wp-analytify' )?><span data-start="" data-end=""><span class="analytify_start_date_data analytify_last_year_start_date"></span> – <span class="analytify_end_date_data analytify_last_month_end_date"></span></span></li>


												<li><?php analytify_e( 'Custom Range', 'wp-analytify' )?> <span class="custom_range"><?php analytify_e( 'Select a custom date', 'wp-analytify' )?></span></li>
											</ul>
										</form>
									</div>
								</div>
							</div>

							<?php
								$stats = $WP_Analytify->pa_get_analytics_dashboard(  'ga:transactions,ga:transactionRevenue,ga:revenuePerTransaction,ga:refundAmount,ga:transactionsPerSession,ga:productAddsToCart,ga:productRemovesFromCart,ga:productCheckouts,ga:productDetailViews,ga:totalRefunds', $start_date, $end_date , false , false );

								  if ( isset( $stats->totalsForAllResults ) ) {
									include EDD_ANALYTIFY_PLUGIN_DIR . '/views/default/shopping-analysis.php';
									pa_include_edd( $WP_Analytify, $stats );
								  }
							?>

							<?php
							// Country Stats
							$stats = $WP_Analytify->pa_get_analytics_dashboard( 'ga:itemQuantity,ga:transactionRevenue', $start_date, $end_date,'ga:country','-ga:itemQuantity', 'ga:country!=(not set);ga:itemQuantity>0', 10 );

							if ( isset( $stats->totalsForAllResults ) ) {
								include EDD_ANALYTIFY_PLUGIN_DIR . '/views/default/country-performance.php';
								pa_include_country_performance( $WP_Analytify, $stats );
							}

							$stats = $WP_Analytify->pa_get_analytics_dashboard( 'ga:sessions,ga:bounceRate,ga:transactions,ga:transactionRevenue', $start_date, $end_date,'ga:sourceMedium','-ga:transactionRevenue', 'ga:transactionRevenue>0', 200 );

							if ( isset( $stats->totalsForAllResults ) ) {
								include EDD_ANALYTIFY_PLUGIN_DIR . '/views/default/measuring-roi.php';
								pa_include_edd_measuring_roi( $WP_Analytify, $stats );
							}

							$stats = $WP_Analytify->pa_get_analytics_dashboard( 'ga:productListViews,ga:productDetailViews,ga:itemRevenue,ga:uniquePurchases,ga:itemQuantity,ga:cartToDetailRate,ga:buyToDetailRate', $start_date, $end_date,'ga:productName','-ga:itemQuantity', 'ga:productName!=(not set)' );

							if ( isset( $stats->totalsForAllResults ) ) {
								include EDD_ANALYTIFY_PLUGIN_DIR . '/views/default/products-performance.php';
								pa_include_edd_products( $WP_Analytify, $stats );
							}
							?>

							<?php

								// $stats = $WP_Analytify->pa_get_analytics_dashboard( 'ga:productListViews,ga:productListClicks,ga:productListCTR,ga:productAddsToCart,ga:productCheckouts,ga:uniquePurchases,ga:itemRevenue', $start_date, $end_date,'ga:productListName','-ga:itemRevenue' );
								// if ( isset( $stats->totalsForAllResults ) ) {
								// 	include EDD_ANALYTIFY_PLUGIN_DIR . '/views/default/lists-performance.php';
								// 	pa_include_edd_lists_performance( $WP_Analytify, $stats );
								//   }
							?>

							<?php

								// $stats = $WP_Analytify->pa_get_analytics_dashboard( 'ga:itemRevenue,ga:uniquePurchases,ga:itemQuantity,ga:cartToDetailRate,ga:buyToDetailRate', $start_date, $end_date,'ga:productCategoryHierarchy','-ga:itemQuantity' );
								// if ( isset( $stats->totalsForAllResults ) ) {
								// 	include EDD_ANALYTIFY_PLUGIN_DIR . '/views/default/categories-performance.php';
								// 	pa_include_edd_categories_performance( $WP_Analytify, $stats );
								//   }
							?>

              <?php

								$stats = $WP_Analytify->pa_get_analytics_dashboard( 'ga:transactionRevenue,ga:transactions,ga:revenuePerTransaction', $start_date, $end_date,'ga:orderCouponCode','-ga:orderCouponCode', 'ga:orderCouponCode!=(not set)', 10 );
								if ( isset( $stats->totalsForAllResults ) ) {
									include EDD_ANALYTIFY_PLUGIN_DIR . '/views/default/coupons.php';
									pa_include_edd_coupons_performance( $WP_Analytify, $stats );
								}
							?>



		<?php
	  	} else {
			esc_html_e( 'You must be logged in to see the Analytics Dashboard.', 'wp-analytify-edd' );
		}

	} else {

		esc_html_e( 'You don\'t have access to EDD Dashboard.', 'wp-analytify-edd' );
	}
  ?>
</div>
