<?php

/**
 * Show General Performance of Digital Shop.
 *
 * @param  object $current Analytify Free Objext.
 * @param  object $stats   Contains stats that are fetch from google.
 *
 * @since  1.0.0
 */
function pa_include_edd( $current, $stats ) {

	?>
	<div class="analytify_general_status analytify_status_box_wraper">
			<div class="analytify_status_header">
					<h3><?php esc_html_e( 'General Analytics of your Digital Downloads', 'wp-analytify-edd' ) ?></h3>
			</div>
			<div class="analytify_status_body">
					<div class="analytify_general_status_boxes_wraper">
							<div class="analytify_general_status_boxes">
									<h4><?php esc_html_e( 'Transactions', 'wp-analytify-edd' ) ?></h4>
									<div class="analytify_general_stats_value"><?php echo number_format($stats->totalsForAllResults['ga:transactions']); ?></div>
									<p><?php esc_html_e( 'Transactions is the total number of completed purchases on your site', 'wp-analytify-edd' ) ?>.</p>
							</div>
							<div class="analytify_general_status_boxes">
									<h4><?php esc_html_e( 'Transaction Revenues', 'wp-analytify-edd' ) ?></h4>
									<div class="analytify_general_stats_value"><?php echo edd_currency_symbol() . number_format( $stats->totalsForAllResults['ga:transactionRevenue'], 2 ); ?></div>
									<p><?php esc_html_e( 'The total sale revenue provided in the transaction including or excluding shipping and tax.', 'wp-analytify-edd' ) ?></p>
							</div>
							<div class="analytify_general_status_boxes">
									<h4><?php esc_html_e( 'Average Order Value', 'wp-analytify-edd' ) ?></h4>
									<div class="analytify_general_stats_value"><?php echo  edd_currency_symbol() . number_format( $stats->totalsForAllResults['ga:revenuePerTransaction'], 2 ); ?></div>
									<p><?php esc_html_e( 'Average Value of transactions.', 'wp-analytify-edd' ) ?></p>
							</div>
							<div class="analytify_general_status_boxes">
									<h4><?php esc_html_e( 'Product Adds To Cart', 'wp-analytify-edd' ) ?></h4>
									<div class="analytify_general_stats_value"><?php echo WPANALYTIFY_Utils::pretty_numbers( $stats->totalsForAllResults['ga:productAddsToCart'] ) ?></div>
									<p><?php esc_html_e( 'The total number of items Added in cart whether it is purchased or not.', 'wp-analytify-edd' ) ?></p>
							</div>
							<div class="analytify_general_status_boxes">
									<h4><?php esc_html_e( 'Product Removes From Cart', 'wp-analytify-edd' ) ?></h4>
									<div class="analytify_general_stats_value"><?php echo $stats->totalsForAllResults['ga:productRemovesFromCart']; ?></div>
									<p><?php esc_html_e( 'The total number of items Removed from cart whether it is purchased or not.', 'wp-analytify-edd' ) ?></p>
							</div>
							<div class="analytify_general_status_boxes">
									<h4><?php esc_html_e( 'Product Checkouts', 'wp-analytify-edd' ) ?></h4>
									<div class="analytify_general_stats_value"><?php echo WPANALYTIFY_Utils::pretty_numbers( $stats->totalsForAllResults['ga:productCheckouts'] ) ?></div>
									<p><?php esc_html_e( 'The total number of checkouts.', 'wp-analytify-edd' ) ?></p>
							</div>
							<div class="analytify_general_status_boxes">
									<h4><?php esc_html_e( 'Refund Amount', 'wp-analytify-edd' ) ?></h4>
									<div class="analytify_general_stats_value"><?php echo edd_currency_symbol() . number_format( $stats->totalsForAllResults['ga:refundAmount'], 2 ); ?></div>
									<p><?php esc_html_e( 'This is the total Refund amount. Minus it from Total Revenue to get the Net Revenue.', 'wp-analytify-edd' ) ?></p>
							</div>
							<div class="analytify_general_status_boxes">
									<h4><?php esc_html_e( 'Total Refunds', 'wp-analytify-edd' ) ?></h4>
									<div class="analytify_general_stats_value"><?php echo $stats->totalsForAllResults['ga:totalRefunds']; ?></div>
									<p><?php esc_html_e( 'The total number of refunds.', 'wp-analytify-edd' ) ?></p>
							</div>
							<div class="analytify_general_status_boxes">
									<h4><?php esc_html_e( 'Product Detail Views', 'wp-analytify-edd' ) ?></h4>
									<div class="analytify_general_stats_value">  <?php echo WPANALYTIFY_Utils::pretty_numbers( $stats->totalsForAllResults['ga:productDetailViews'] ) ?></div>
									<p><?php esc_html_e( 'Number of times users viewed the product detail page.', 'wp-analytify-edd' ) ?></p>
							</div>
					</div>
			</div>
			<div class="analytify_status_footer">
					<span class="analytify_info_stats">    <?php
					echo sprintf( esc_html__( 'Did you know that Ecommerce Conversion Rate on your site is %1$s', 'wp-analytify-edd' ), number_format( $stats->totalsForAllResults['ga:transactionsPerSession'], 2) ) . '%'; ?></span>
			</div>
	</div>


<?php } ?>
