<?php
/**
 * Analytify Dashboard file.
 *
 * @package WP_Analytify
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}


$wp_analytify = $GLOBALS['WP_ANALYTIFY'];

$start_date_val = strtotime( '-1 month' );
$end_date_val   = strtotime( 'now' );
$start_date     = date( 'Y-m-d', $start_date_val );
$end_date       = date( 'Y-m-d', $end_date_val );

$selected_stats = $wp_analytify->settings->get_option( 'show_analytics_panels_dashboard', 'wp-analytify-dashboard', array() );

if ( isset( $_POST['analytify_date_diff'] ) && ! empty( $_POST['analytify_date_diff'] ) ) {
	update_option( 'analytify_date_differ', $_POST['analytify_date_diff'] );
}

$_differ = get_option( 'analytify_date_differ' );

if ( $_differ ) {
	if ( $_differ == 'last_7_days' ) {
		$start_date = date( 'Y-m-d', strtotime( '-7 days' ) );
	} elseif ( $_differ == 'last_14_days' ) {
		$start_date = date( 'Y-m-d', strtotime( '-14 days' ) );
	} elseif ( $_differ == 'last_30_days' ) {
		$start_date = date( 'Y-m-d', strtotime( '-1 month' ) );
	} elseif ( $_differ == 'this_month' ) {
		$start_date = date( 'Y-m-01' );
	} elseif ( $_differ == 'last_month' ) {
		$start_date = date( 'Y-m-01', strtotime( '-1 month' ) );
		$end_date   = date( 'Y-m-t', strtotime( '-1 month' ) );
	} elseif ( $_differ == 'last_3_months' ) {
		$start_date = date( 'Y-m-01', strtotime( '-3 month' ) );
		$end_date   = date( 'Y-m-t', strtotime( '-1 month' ) );
	} elseif ( $_differ == 'last_6_months' ) {
		$start_date = date( 'Y-m-01', strtotime( '-6 month' ) );
		$end_date   = date( 'Y-m-t', strtotime( '-1 month' ) );
	} elseif ( $_differ == 'last_year' ) {
		$start_date = date( 'Y-m-01', strtotime( '-1 year' ) );
		$end_date   = date( 'Y-m-t', strtotime( '-1 month' ) );
	}
}

if ( isset( $_POST['view_data'] ) ) {

	$s_date  = sanitize_text_field( wp_unslash( $_POST['st_date'] ) );
	$ed_date = sanitize_text_field( wp_unslash( $_POST['ed_date'] ) );
}

if ( isset( $s_date ) ) {
	$start_date = $s_date;
}

if ( isset( $ed_date ) ) {
	$end_date = $ed_date;
}


$date1 = date_create( $start_date );
$date2 = date_create( $end_date );
$diff  = date_diff( $date2, $date1 );

$compare_start_date = strtotime( $start_date . $diff->format( '%R%a days' ) );
$compare_start_date = date( 'Y-m-d', $compare_start_date );
$compare_end_date   = $start_date;

$dashboard_profile_ID = $wp_analytify->settings->get_option( 'profile_for_dashboard', 'wp-analytify-profile' );
$fetch_fresh          = $wp_analytify->settings->get_option( 'delete_dashboard_cache', 'wp-analytify-dashboard' );


	?>

	<?php

	$acces_token = get_option( 'post_analytics_token' );

	if ( ! $acces_token ) {
		return;
	} else {
		if ( WP_ANALYTIFY_FUNCTIONS::wpa_check_profile_selection( 'Analytify' ) ) {
			return; }
	}


	/*
	* Check with roles assigned at dashboard settings.
	*/
	$is_access_level = $wp_analytify->settings->get_option( 'show_analytics_roles_dashboard', 'wp-analytify-dashboard' );

	// Show dashboard to admin incase of empty access roles.
	if ( empty( $is_access_level ) ) {
		$is_access_level = array( 'Administrator' ); }

	if ( $wp_analytify->pa_check_roles( $is_access_level ) ) {

		if ( $acces_token ) {
			// dequeue event calendar js
			wp_dequeue_script( 'tribe-common' );
		?>

		<div class="analytify_wraper">
				<div class="analytify_main_title_section">
					<h1 class="analytify_pull_left analytify_main_title"><?php esc_html_e( 'Goals Dashboard', 'wp-analytify' ); ?>
					<span class="analytify_stats_of"><?php esc_html_e( 'Goals Statistics of the Site', 'wp-analytify' ); ?> <a href="<?php echo WP_ANALYTIFY_FUNCTIONS::search_profile_info( $dashboard_profile_ID, 'websiteUrl' ); ?>" target="_blank"><?php echo WP_ANALYTIFY_FUNCTIONS::search_profile_info( $dashboard_profile_ID, 'websiteUrl' ); ?></a> (<?php echo WP_ANALYTIFY_FUNCTIONS::search_profile_info( $dashboard_profile_ID, 'name' ); ?>)</span></h1>
					<div class="analytify_select_dashboard analytify_pull_right">

						<?php do_action( 'analytify_dashboad_dropdown' ); ?>

					</div>
				</div>

				<div class="analytify_main_setting_bar">
					<div class="analytify_pull_right analytify_setting">
						<div class="analytify_select_date">
							<form class="analytify_form_date" action="" method="post">
								<div class="analytify_select_date_fields">
									<input type="hidden" name="st_date" id="analytify_start_val">
									<input type="hidden" name="ed_date" id="analytify_end_val">
									<input type="hidden" name="analytify_date_diff" id="analytify_date_diff">

									<label for="analytify_start"><?php _e( 'From:', 'wp-analytify' ); ?></label>
									<input type="text" required id="analytify_start" value=" <?php echo isset( $start_date ) ? $start_date : '' ?> ">
									<label for="analytify_end"><?php _e( 'To:', 'wp-analytify' ); ?></label>
									<input type="text" required id="analytify_end" value="
									<?php echo isset( $end_date ) ? $end_date : '' ?> ">
									<div class="analytify_arrow_date_picker"></div>
								</div>
								<input type="submit" value="<?php _e( 'View Stats', 'wp-analytify' ); ?>" name="view_data" class="analytify_submit_date_btn">
								<ul class="analytify_select_date_list">

									<li><?php _e( 'Last 7 days', 'wp-analytify' ); ?> <span data-date-diff="last_7_days" data-start="" data-end=""><span class="analytify_start_date_data analytify_last_7_days"></span> – <span class="analytify_end_date_data analytify_today_date"></span></span></li>

									<li><?php _e( 'Last 14 days', 'wp-analytify' ); ?> <span data-date-diff="last_14_days" data-start="" data-end=""><span class="analytify_start_date_data analytify_last_14_days"></span> – <span class="analytify_end_date_data analytify_today_date"></span></span></li>

									<li><?php _e( 'Last 30 days', 'wp-analytify' ); ?> <span data-date-diff="last_30_days" data-start="" data-end=""><span class="analytify_start_date_data analytify_last_30_day"></span> – <span class="analytify_end_date_data analytify_today_date"></span></span></li>

									<li><?php _e( 'This month', 'wp-analytify' ); ?> <span data-date-diff="this_month" data-start="" data-end=""><span class="analytify_start_date_data analytify_this_month_start_date"></span> – <span class="analytify_end_date_data analytify_today_date"></span></li>

									<li><?php _e( 'Last month', 'wp-analytify' ); ?> <span data-date-diff="last_month" data-start="" data-end=""><span class="analytify_start_date_data analytify_last_month_start_date"></span> – <span class="analytify_end_date_data analytify_last_month_end_date"></span></span></li>


									<li><?php _e( 'Last 3 months', 'wp-analytify' ); ?> <span data-date-diff="last_3_months" data-start="" data-end=""><span class="analytify_start_date_data analytify_last_3_months_start_date"></span> – <span class="analytify_end_date_data analytify_last_month_end_date"></span></span></li>

									<li><?php _e( 'Last 6 months', 'wp-analytify' ); ?> <span data-date-diff="last_6_months" data-start="" data-end=""><span class="analytify_start_date_data analytify_last_6_months_start_date"></span> – <span class="analytify_end_date_data analytify_last_month_end_date"></span></span></li>


									<li><?php _e( 'Last year', 'wp-analytify' ); ?> <span data-date-diff="last_year" data-start="" data-end=""><span class="analytify_start_date_data analytify_last_year_start_date"></span> – <span class="analytify_end_date_data analytify_last_month_end_date"></span></span></li>


									<li><?php _e( 'Custom Range', 'wp-analytify' ); ?> <span class="custom_range"><?php _e( 'Select a custom date', 'wp-analytify' ); ?></span></li>
								</ul>
							</form>
						</div>
					</div>
				</div>

				<?php

				function search_profile_info_( $id, $index ) {

					if ( ! get_option( 'pa_google_token' ) ) {
						return; }

					$accounts = WP_ANALYTIFY_FUNCTIONS::fetch_profiles_list_summary();

					if ( ! $accounts ) {
						return false;
					}

					foreach ( $accounts->getItems() as $account ) {
						foreach ( $account->getWebProperties() as  $property ) {
							foreach ( $property->getProfiles() as $profile ) {
								// Get Property ID i.e UA Code
								if ( $profile->getId() === $id && $index === 'webPropertyId' ) {
									return $property->getId();
								}

								// Get Property URL i.e analytify.io
								if ( $profile->getId() === $id && $index === 'websiteUrl' ) {
									return $property->getWebsiteUrl();
								}

								// Get Accoint Id for Goal List
								if ( $profile->getId() === $id && $index === 'accountid' ) {
									return $account->getId();
								}

								// Get Profile view i.e All website data
								if ( $profile->getId() === $id && $index === 'name' ) {
									return $profile->getName();
								}

								// Get Profile view i.e All website data
								if ( $profile->getId() === $id && $index === 'viewId' ) {
									return $profile->getId();
								}
							}
						}
					}
				}

				$ua_code    = WP_ANALYTIFY_FUNCTIONS::search_profile_info( $wp_analytify->settings->get_option( 'profile_for_dashboard', 'wp-analytify-profile' ), 'webPropertyId' );
				$profile_id = WP_ANALYTIFY_FUNCTIONS::search_profile_info( $wp_analytify->settings->get_option( 'profile_for_dashboard', 'wp-analytify-profile' ), 'accountId' );
				$viewId     = WP_ANALYTIFY_FUNCTIONS::search_profile_info( $wp_analytify->settings->get_option( 'profile_for_dashboard', 'wp-analytify-profile' ), 'viewId' );
				$_all_goals = array();

				try {
					$goals = $wp_analytify->service->management_goals->listManagementGoals( $profile_id, $ua_code, $viewId );

					foreach ( $goals->getItems() as $index => $all_goals ) {

						$_all_goals[ 'ga:goal' . (string) ( $index + 1 ) . 'Completions' ] = $all_goals->getName();

					}
				} catch ( apiServiceException $e ) {
					// print 'There was an Analytics API service error '
					// . $e->getCode() . ':' . $e->getMessage();
				} catch ( apiException $e ) {
					// print 'There was a general API error '
					// . $e->getCode() . ':' . $e->getMessage();
				}

				if ( ! empty( $_all_goals ) ) {

						$analytics_query = 'ga:goalCompletionsAll,ga:goalValueAll,ga:goalConversionRateAll,ga:goalAbandonRateAll';
						$goals_stats     = $wp_analytify->pa_get_analytics_dashboard( $analytics_query, $start_date, $end_date, false, false, false, false, 'show-general-goal-stats' );

					?>

					<div class="analytify_general_status_boxes">
						<h4><?php esc_html_e( 'Goal Completions', 'wp-analytify' ); ?></h4>
						<div class="analytify_general_stats_value"><?php echo $goals_stats['totalsForAllResults']['ga:goalCompletionsAll']; ?></div>
						<p><?php esc_html_e( 'Total number of Goal Completions', 'wp-analytify' ); ?></p>
					</div>

						 <div class="analytify_general_status_boxes">
							 <h4><?php esc_html_e( 'Goal Value', 'wp-analytify' ); ?></h4>
							 <div class="analytify_general_stats_value"><?php echo '$' . number_format_i18n( $goals_stats['totalsForAllResults']['ga:goalValueAll'] ); ?></div>
							 <p><?php esc_html_e( 'Total number of Goal Value', 'wp-analytify' ); ?></p>
						 </div>

						 <div class="analytify_general_status_boxes">
							 <h4><?php esc_html_e( 'Goal Conversion Rate', 'wp-analytify' ); ?></h4>
							 <div class="analytify_general_stats_value"><?php echo round( $goals_stats['totalsForAllResults']['ga:goalConversionRateAll'], 2 ); ?>%</div>
							 <p><?php esc_html_e( 'Total number of Goal Conversion Rate', 'wp-analytify' ); ?></p>
						 </div>

						 <div class="analytify_general_status_boxes">
							 <h4><?php esc_html_e( 'Total Abandonment Rate', 'wp-analytify' ); ?></h4>
							 <div class="analytify_general_stats_value"><?php echo round( $goals_stats['totalsForAllResults']['ga:goalAbandonRateAll'], 2 ); ?>%</div>
							 <p><?php esc_html_e( 'Number of Total Abandonment Rate', 'wp-analytify' ); ?></p>
						 </div>


						<?php

						// Divide the array by 10
						$goals_chunk = array_chunk( $_all_goals, 10, true );

						foreach ( $goals_chunk as $key => $goal ) {
							$_query = implode( ',', array_keys( $goal ) );

							$goals_stats = $wp_analytify->pa_get_analytics_dashboard( $_query, $start_date, $end_date, false, false, false, false, 'show-goal-query-stats' );

							foreach ( $goals_stats['totalsForAllResults'] as $key => $value ) :
						?>
							  <div class="analytify_general_status_boxes">
								  <h4><?php echo $goal[ $key ]; ?></h4>
								  <div class="analytify_general_stats_value"><?php echo $value; ?></div>
								  <p><?php esc_html_e( 'Total Completions of Goal', 'wp-analytify' ); ?></p>
								  <p style="padding-top: 10px;"><a href="<?php echo admin_url( 'admin.php?page=analytify-goals&goal_id=' . $key . '&sd=' . $start_date . '&ed=' . $end_date ); ?>">View More Details</a></p>
							  </div>
							<?php
					 endforeach;

						}

						?>

						<?php
				} else {
					echo 'No Goals Avaliable';
				}
					?>

		</div>
		<?php
		} else {
			esc_html_e( 'You must be authenticated to see the Analytics Dashboard.', 'wp-analytify' );
		}// End if().
	} else {

		esc_html_e( 'You don\'t have access to Analytify Dashboard.', 'wp-analytify' );
	}// End if().
?>
