<?php
/**
 * Plugin Name: Google Analytics Goals by Analytify
 * Plugin URI: https://analytify.io/add-ons/google-analytics-goals-wordpress/
 * Description: This is a premium add-on to show you Goals results from Google Analytics.
 * Version: 1.1.3
 * Author: Analytify
 * Author URI: https://analytify.io
 */

define( 'ANALYTIFY_GOALS_ROOT_PATH', dirname( __FILE__ ) . '/' );
define( 'ANALYTIFY_GOALS_VERSION', '1.1.3' );


function wpag_check_analytify_pro_notice() {
	$class = 'notice notice-error is-dismissible';
	$message = __( 'oops! Please Install Analytify Pro to use "Analytify Goals" add-on.', 'wp-analytify-goals' );

	printf( '<div class="%1$s"><p>%2$s</p></div>', $class, $message );
}

function wpag_email_active_analytify_pro() {
	$class = 'notice notice-error is-dismissible';
	$message = __( 'oops! Please activate Analytify Pro to use "Analytify Goals" add-on.', 'wp-analytify-goals' );

	printf( '<div class="%1$s"><p>%2$s</p></div>', $class, $message );
}


add_action( 'plugins_loaded', 'load_analytify_goals', 20 );

function load_analytify_goals() {

	// check for analytify
	if ( ! file_exists( WP_PLUGIN_DIR . '/wp-analytify-pro/wp-analytify-pro.php' ) ) {
		add_action( 'admin_notices' , 'wpag_check_analytify_pro_notice' );
		return;
	}

	if ( ! class_exists( 'WP_Analytify_Pro_Base' ) ) {
		add_action( 'admin_notices' ,  'wpag_email_active_analytify_pro' );
		return;
	}

	include_once ANALYTIFY_GOALS_ROOT_PATH . 'class-wp-analytify-goals.php';
}
